capture log close
version 11
clear all
set linesize 80
set mem 500m
set matsize 800
macro drop _all
clear all
set more off

cd *********************

log using HorowitzStamLeadersIOPaperReplicationFinal.log, replace

clear

use HorowitzStamLeadersIOMIDReplication.dta, clear

*/ Model 1  */
logit cwinit milnoncombat combat rebel warwin warloss rebelwin rebelloss age aut cinc tau_lead officetenure1000 fiveyearchallengelag cwpceyrs1 cwpceyrs2 cwpceyrs3, robust cluster(leaderid)

*/ Model 2 */
clear

use HorowitzStamLeadersIOWarReplication.dta
logit initiation milnoncombat combat rebel warwin warloss rebelwin rebelloss age cinc aut tau_lead officetenure1000 fiveyearchallengelag cwpceyrs1 cwpceyrs2 cwpceyrs3, robust cluster(leaderid)

clear

use HorowitzStamLeadersIOMIDReplication.dta, clear

*/ Model 3: Polity Interaction */
logit cwinit milnoncombat combat rebel milpolity combatpolity rebelpolity milrebel combatrebel warwin warloss rebelwin rebelloss age polity21 cinc tau_lead officetenure1000 fiveyearchallengelag cwpceyrs1 cwpceyrs2 cwpceyrs3, robust cluster(leaderid)

*/ Model 4: Autocracy Interaction */
logit cwinit milnoncombat combat rebel milaut combataut rebelaut milrebel combatrebel warwin warloss rebelwin rebelloss age aut cinc tau_lead officetenure1000 fiveyearchallengelag cwpceyrs1 cwpceyrs2 cwpceyrs3, robust cluster(leaderid)

*/ Model 5: Military Interaction */
logit cwinit milnoncombat combat rebel milmil combatmil rebelmil milrebel combatrebel warwin warloss rebelwin rebelloss age cinc cgvmildict tau_lead officetenure1000 fiveyearchallengelag cwpceyrs1 cwpceyrs2 cwpceyrs3  if year>1945 & year<2000, robust cluster(leaderid)

clear

*/ Table 2: Robustness */

use HorowitzStamLeadersIOMIDReplication.dta, clear

*/ Model 6: Leaders randomly selected into office */
logit cwinit milnoncombat combat rebel warwin warloss rebelwin rebelloss age cinc aut tau_lead officetenure1000 fiveyearchallengelag cwpceyrs1 cwpceyrs2 cwpceyrs3 if treatment==1 & regular==1, robust cluster(leaderid)

*/ Model 7: Polity Interaction */
logit cwinit milnoncombat combat rebel milpolity combatpolity rebelpolity milrebel combatrebel warwin warloss rebelwin rebelloss age polity21 cinc tau_lead officetenure1000 cwpceyrs1 cwpceyrs2 cwpceyrs3 if fiveyearchallengelag==0, robust cluster(leaderid)

*/ Model 8: Autocracy Interaction */
logit cwinit milnoncombat combat rebel milaut combataut rebelaut milrebel combatrebel warwin warloss rebelwin rebelloss age aut cinc tau_lead officetenure1000 cwpceyrs1 cwpceyrs2 cwpceyrs3 if fiveyearchallengelag==0, robust cluster(leaderid)

*/ Model 9: Military Interaction  */
logit cwinit milnoncombat combat rebel milmil combatmil rebelmil milrebel combatrebel warwin warloss rebelwin rebelloss age cinc cgvmildict tau_lead officetenure1000 cwpceyrs1 cwpceyrs2 cwpceyrs3 if year>1945 & year<2000 & fiveyearchallengelag==0, robust cluster(leaderid)

log close
